KDE 4.9 PyKDE API Reference

- KDE's Python API

# CustomEditor Class Reference

`from PyKDE4.kdeui import *`

Namespace: KEditListBox

## Detailed Description

Custom editor class

## Methods

| __init__ (self)
| __init__ (self, QWidget repWidget, KLineEdit edit)
| __init__ (self, KComboBox combo)
| __init__ (self, KEditListBox.CustomEditor a0)
KLineEdit | lineEdit (self)
QWidget | representationWidget (self)
| setLineEdit (self, KLineEdit edit)
| setRepresentationWidget (self, QWidget repWidget)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QWidget | repWidget,
|  | KLineEdit | edit
| ) |  |  |

__init__ | ( | self, |
|  | KComboBox | combo
| ) |  |  |

__init__ | ( | self, |
|  | KEditListBox.CustomEditor | a0
| ) |  |  |

KLineEdit lineEdit | ( |  | self ) |

QWidget representationWidget | ( |  | self ) |

setLineEdit | ( | self, |
|  | KLineEdit | edit
| ) |  |  |

setRepresentationWidget | ( | self, |
|  | QWidget | repWidget
| ) |  |  |